- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Namespaces
lp_skeleton.h File Reference

## Detailed Description

The classes in this file do nothing, but they can serve as skeletons when implementing an interface to new solvers.

`#include <lemon/lp_base.h>`

## Classes
class | SkeletonSolverBase
| A skeleton class to implement LP/MIP solver base interface. More...
class | LpSkeleton
| Skeleton class for an LP solver interface. More...
class | MipSkeleton
| Skeleton class for a MIP solver interface. More...

## Namespaces
| lemon
| The namespace of LEMON.